Please merge debtags 1.7.9 (universe) from Debian unstable

Bug #385245 reported by Michael Terry on 2009-06-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debtags (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: debtags

debtags (1.7.9) unstable; urgency=low

  * Build with new libept

 -- Enrico Zini <email address hidden> Fri, 23 Jan 2009 16:45:54 +0100

debtags (1.7.8) testing-proposed-updates; urgency=low

  * Solve name confusion between enum values and template parameters.
    Closes: #512640
  * Improved bash-completion applying patch by Justin B Rye at #403137.
  * Stop smartsearch help from looping. Closes: #511669.
  * Don't choke on multi-line Tag: fields (although the continuation
    lines are currently ignored). See: #481634.
  * Suggests: wget. See: #478590.
  * Fixed Homepage: field and updated standards-version.

 -- Enrico Zini <email address hidden> Fri, 23 Jan 2009 14:02:57 +0100

Related branches

Michael Terry (mterry) on 2009-06-09
Changed in debtags (Ubuntu):
assignee: nobody → Michael Terry (mterry)
status: New → In Progress
Michael Terry (mterry) wrote :
Michael Terry (mterry) wrote :

OK, there are a bunch of changes I made to how we package this.

Before, there were a lot of in-place changes to the source:
 * We modified Makefile.am to install vocabulary.gz
 * We modified get_tags to point at anonymous svn
 * We modified get_vocabulary to not get the Debian security team's tags
 * We modified sources.list to point at installed vocabulary.gz

Then, the packager was expected to (1) run autogen.sh which rebuilt Makefile.in (and friends) and re-downloaded tags and vocabulary (this time without the security stuff) and (2) gzip vocabulary.

As a side-effect to (1), the debdiff was hard to read and sometimes the package would have newer tags/vocab because of the fresh svn download. I'm not certain, but I don't believe that was necessarily an intended feature.

So I tried to clean this up. I added patches to strip the security tags from vocabulary and to modify sources.list. Then I added a hook to debian/rules that gzips vocabulary.

There were a couple patches I was able to drop with the new version. A ftbfs patch and a libept api change patch. Both are upstream now.

The attached ubuntu-to-ubuntu.debdiff only has debian/* changes which is not the whole picture, since as I said, previously several changes were in-place. Full debdiff available upon request.

Finally, there is a bug in libwibble that causes us to FTBFS. I'll not subscribe a sponsor until bug 385317 is fixed.

Changed in debtags (Ubuntu):
assignee: Michael Terry (mterry) → nobody
status: In Progress → Confirmed
Michael Terry (mterry) wrote :

After talking with Colin Watson, The Man Who Hated Patch Systems, I've gotten rid of the patches and applied them in-source. But my reorganization still has lots of value-add. We no longer rerun autogen.sh, so the delta is tiny.

Michael Terry (mterry) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debtags - 1.7.9ubuntu1

---------------
debtags (1.7.9ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #385245), remaining changes:
    + debian/control:
      - Build-Depend on the build1 version of libept-dev
    + debian/rules:
      - Install a zipped vocabulary to /usr/share/debtags
    + vocabulary:
      - Don't use Debian's security team's tags
    + sources.list:
      - Point at /usr/share/debtags instead of apt://

 -- Michael Terry <email address hidden> Wed, 10 Jun 2009 09:36:39 -0400

Changed in debtags (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers